package com.bocloud.cmp.provider.hmc;

import com.bocloud.cmp.model.hmc.sdk.module.ManagedSystem;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

@Deprecated
public interface ServerProvider extends SuperProvider {
    public BocloudResult get();

    public BocloudResult update(String managedSystemUuid, ManagedSystem managedSystem);

    public BocloudResult powerOnManagedSystem(String managedSystemUuid);

    public BocloudResult powerOffManagedSystem(String managedSystemUuid);

    public BocloudResult resetConnection(String managedSystemUuid);

    public BocloudResult removeConnection(String managedSystemUuid);

    public BocloudResult powerOn(String managedSystemUuid);

    public BocloudResult powerOff(String managedSystemUuid);

    public BocloudResult queryManagedSystemState(String managedSystemUuid);

    public BocloudResult queryManagedSystemAttribute(String managedSystemUuid);

    public BocloudResult queryManagementConsoleUuid();

    public BocloudResult addManagedSystem(String consoleUuid, String hostIp, String password);

    public BocloudResult removeManagedSystemConnection(String consoleUuid, String managedSystemUuid);
}
